* [gentoo-commits] repo/gentoo:master commit in: sys-process/at/files/, sys-process/at/
@ 2021-07-15 12:08 Louis Sautier
0 siblings, 0 replies; 2+ messages in thread
From: Louis Sautier @ 2021-07-15 12:08 UTC (permalink / raw
To: gentoo-commits
commit: 3d94ef8bd062be20b212c77886e8c8607a04bec1
Author: Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 15 11:37:01 2021 +0000
Commit: Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Thu Jul 15 12:07:40 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d94ef8b
sys-process/at: fix systemd warning
The unit would cause the following warning to be issued:
Standard output type syslog is obsolete, automatically updating to journal.
Please update your unit file, and consider removing the setting altogether.
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>
sys-process/at/{at-3.2.2-r1.ebuild => at-3.2.2-r2.ebuild} | 0
sys-process/at/files/atd.service | 2 --
2 files changed, 2 deletions(-)
diff --git a/sys-process/at/at-3.2.2-r1.ebuild b/sys-process/at/at-3.2.2-r2.ebuild
similarity index 100%
rename from sys-process/at/at-3.2.2-r1.ebuild
rename to sys-process/at/at-3.2.2-r2.ebuild
diff --git a/sys-process/at/files/atd.service b/sys-process/at/files/atd.service
index 164fc2c0cb7..5e5898e0fa1 100644
--- a/sys-process/at/files/atd.service
+++ b/sys-process/at/files/atd.service
@@ -6,8 +6,6 @@ After=networking.target
Type=forking
ExecStart=/usr/sbin/atd
PIDFile=/run/atd.pid
-StandardOutput=syslog
-StandardError=syslog
[Install]
WantedBy=multi-user.target
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-process/at/files/, sys-process/at/
@ 2021-12-03 6:50 Lars Wendler
0 siblings, 0 replies; 2+ messages in thread
From: Lars Wendler @ 2021-12-03 6:50 UTC (permalink / raw
To: gentoo-commits
commit: 1767609d5589e57c6a76b2dcc12deeee1cb8934c
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 3 06:48:25 2021 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Dec 3 06:50:17 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1767609d
sys-process/at: Revbump to improve openrc init script
Thanks-to: Brian Evans <grknight <AT> gentoo.org>
Closes: https://bugs.gentoo.org/828041
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
sys-process/at/at-3.2.2-r3.ebuild | 97 +++++++++++++++++++++++++++++++++++++++
sys-process/at/files/atd.rc9 | 13 ++++++
2 files changed, 110 insertions(+)
diff --git a/sys-process/at/at-3.2.2-r3.ebuild b/sys-process/at/at-3.2.2-r3.ebuild
new file mode 100644
index 000000000000..afae3855a2d6
--- /dev/null
+++ b/sys-process/at/at-3.2.2-r3.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools pam systemd
+
+MY_P="${PN}_${PV}"
+
+DESCRIPTION="Queues jobs for later execution"
+HOMEPAGE="http://blog.calhariz.com/index.php/tag/at https://packages.qa.debian.org/a/at.html"
+SRC_URI="http://software.calhariz.com/at/${MY_P}.orig.tar.gz
+ mirror://debian/pool/main/a/at/${MY_P}.orig.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="pam selinux"
+
+DEPEND="
+ acct-group/at
+ acct-user/at
+ virtual/mta
+ pam? ( sys-libs/pam )
+"
+RDEPEND="${DEPEND}
+ virtual/mta
+ virtual/logger
+ selinux? ( sec-policy/selinux-at )
+"
+BDEPEND="
+ >=sys-devel/autoconf-2.64
+ sys-devel/bison
+ >=sys-devel/flex-2.5.4a
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.1.8-more-deny.patch
+ "${FILESDIR}"/${PN}-3.1.14-Makefile.patch
+ # fix parallel make issues, bug #244884
+ "${FILESDIR}"/${PN}-3.1.10.2-Makefile.in-parallel-make-fix.patch
+ "${FILESDIR}"/${PN}-3.1.13-configure.in-fix-PAM-automagick-dep.patch
+ # Fix parallel make issue (bug #408375)
+ "${FILESDIR}"/${PN}-3.1.13-parallel-make-fix.patch
+ "${FILESDIR}"/${PN}-3.1.13-getloadavg.patch
+)
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --sysconfdir="${EPREFIX}"/etc/at
+ --with-jobdir="${EPREFIX}"/var/spool/at/atjobs
+ --with-atspool="${EPREFIX}"/var/spool/at/atspool
+ --with-etcdir="${EPREFIX}"/etc/at
+ --with-daemon_username=at
+ --with-daemon_groupname=at
+ $(usex pam '' --without-pam)
+ $(use_with selinux)
+ )
+ econf ${myeconfargs[@]}
+}
+
+src_install() {
+ emake install IROOT="${D}"
+
+ newinitd "${FILESDIR}"/atd.rc9 atd
+ newconfd "${FILESDIR}"/atd.confd atd
+
+ if use pam ; then
+ newpamd "${FILESDIR}"/at.pamd-3.1.13-r1 atd
+ fi
+
+ # Preserve existing .SEQ files (bug #386625)
+ local seq_file="${EROOT}/var/spool/at/atjobs/.SEQ"
+ if [[ -f "${seq_file}" ]] ; then
+ einfo "Preserving existing .SEQ file (bug #386625)."
+ cp -p "${seq_file}" "${ED}"/var/spool/at/atjobs/ || die
+ fi
+
+ systemd_dounit "${FILESDIR}/atd.service"
+ keepdir /var/spool/at/atspool
+}
+
+pkg_postinst() {
+ einfo "Forcing correct permissions on /var/spool/at"
+ local atspooldir="${EROOT}/var/spool/at"
+ chown at:at "${atspooldir}/atjobs"
+ chmod 1770 "${atspooldir}/atjobs"
+ chown at:at "${atspooldir}/atjobs/.SEQ"
+ chmod 0600 "${atspooldir}/atjobs/.SEQ"
+ chown at:at "${atspooldir}/atspool"
+ chmod 1770 "${atspooldir}/atspool"
+}
diff --git a/sys-process/at/files/atd.rc9 b/sys-process/at/files/atd.rc9
new file mode 100644
index 000000000000..70df04eedc1c
--- /dev/null
+++ b/sys-process/at/files/atd.rc9
@@ -0,0 +1,13 @@
+#!/sbin/openrc-run
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+pidfile="/run/atd.pid"
+command="/usr/sbin/atd"
+command_args="${ATD_OPTS}"
+command_args_foreground="-f"
+
+depend() {
+ need clock
+ use logger
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2021-12-03 6:50 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-07-15 12:08 [gentoo-commits] repo/gentoo:master commit in: sys-process/at/files/, sys-process/at/ Louis Sautier
-- strict thread matches above, loose matches on Subject: below --
2021-12-03 6:50 Lars Wendler
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox